Promote participants to admin users

Promote one or more participants to group admins.

POST
https://api.wawp.net/v2/groups/{id}/admin/promote?id=1234567890%40g.us&instance_id=123456789&access_token=123456789&participants=%5B%7B%22id%22%3A%221234567890%40c.us%22%7D%5D

Authentication Required

Login to swap the placeholders with your real Instance ID and Access Token.

Log In
Test /v2/groups/{id}/admin/promote endpoint
POST
POST

No query parameters required

This endpoint doesn't expect data in the URL.

Best practices

  • Limit the number of admins to simplify governance.

  • Use a specific role tag in your CRM for promoted users.

  • Audit admin lists periodically.

Request Parameters

Configure the parameters required to interact with this endpoint. All query and body arguments are listed below with their details.

Request Body

Sent as a JSON object
string

Your unique WhatsApp Instance ID

Example:
string

Your API Access Token

Example:
string

The unique ID of the group

Example:
array

List of JIDs to promote

Example:

Request Samples

Use these ready-to-go code snippets to integrate our API into your project quickly and efficiently. Choose your preferred language and library.

1const baseUrl = "https://api.wawp.net";
2const endpoint = "/v2/groups/1234567890@g.us/admin/promote";
3const params = new URLSearchParams({
4 "instance_id": "123456789",
5 "access_token": "123456789"
6}).toString();
7const body = {
8 "participants": [
9 {
10 "id": "1234567890@c.us"
11 }
12 ]
13};
14
15fetch(`${baseUrl}${endpoint}${params ? '?' + params : ''}`, {
16 method: "POST",
17 headers: { "Content-Type": "application/json" },
18 body: JSON.stringify(body)
19})
20 .then(async (response) => {
21 if (response.ok) {
22 const data = await response.json();
23 console.log("Success:", data);
24 return data;
25 }
26
27 // Error Handling
28
29
30 const errorText = await response.text();
31 console.error(`Error ${response.status}: ${errorText}`);
32 })
33 .catch((error) => console.error("Network Error:", error));
Interactive Samples
Ln 33, Col 1javascript

Expected Responses

Explore all possible responses and outcomes from the server. We have documented each status code with data examples to make success and error handling easier.

Participants promoted
application/json
boolean *

Example

{
"ok": true
}

Command Palette

Search for a command to run...